﻿using System;

namespace CornerCases
{
    class DelegateVarianceBroken
    {
        static void Main()
        {
            Action<string> stringAction = x => Console.WriteLine(x);

            Action<object> objectAction = y => Console.WriteLine(y.GetType());
            Action<string> variantAction = objectAction;

            Action<string> combined = stringAction + variantAction;                
        }
    }
}
