﻿using System;

namespace CornerCases
{
    class EvilOverloading
    {
        class Base
        {
            public virtual void Foo(int x)
            {
                Console.WriteLine("Base.Foo(int)");
            }
        }

        class Child : Base
        {
            public override void Foo(int x)
            {
                Console.WriteLine("Child.Foo(int)");
            }

            public void Foo(double y)
            {
                Console.WriteLine("Child.Foo(double)");
            }
        }

        static void Main()
        {
            Child child = new Child();
            Base actuallyChild = child;
            child.Foo(10);
            child.Foo((int) 10);
            //actuallyChild.Foo(10);
            //child.Foo(x: 10);
        }
    }
}
