﻿using System;
using System.Threading;

namespace CornerCases
{
    class ParallelLoopBroken
    {
        static void Main()
        {
            string[] urls = { "foo.com", "bar.com", "baz.com",
                              "a", "b", "c", "d", "e" };
            foreach (string url in urls)
            {
                new Thread(() => Fetch(url)).Start();
            }
            Thread.Sleep(1000);
        }

        static void Fetch(string url)
        {
            Console.WriteLine("Fetching {0}", url);
        }
    }
}
