﻿using System;

namespace CornerCases
{
    class AssigningToThis
    {
        struct EvilStruct
        {
            private readonly int value;
            internal int Value { get { return value; } }

            internal EvilStruct(int value)
            {
                this.value = value;
            }

            internal void Muhaha()
            {
                this = new EvilStruct(value + 1);
            }
        }

        readonly EvilStruct readOnlyField;
        EvilStruct writeableField;

        AssigningToThis()
        {
            readOnlyField = new EvilStruct(5);
            writeableField = new EvilStruct(5);
        }

        void TryMutation()
        {
            readOnlyField.Muhaha();
            writeableField.Muhaha();

            Console.WriteLine(readOnlyField.Value);
            Console.WriteLine(writeableField.Value);
        }

        static void Main()
        {
            AssigningToThis test = new AssigningToThis();
            test.TryMutation();
        }
    }
}
