﻿using System;

namespace CornerCases
{
    class Constraints
    {
        static void RefOnly<T>() where T : class
        {
        }

        static void ValueOnly<T>() where T : struct
        {
        }

        static void Main()
        {
            RefOnly<string>();
            RefOnly<IDisposable>();
            RefOnly<ValueType>(); // Odd...

            ValueOnly<int>();
            ValueOnly<Guid>();
            
            // Poor int? doesn't fit
            // ValueOnly<int?>(); 
            // RefOnly<int?>();
        }
    }
}
