﻿using System;

namespace CornerCases
{
    class EvilNaming
    {
        class Base
        {
            public virtual void Foo(int x, int y)
            {
                Console.WriteLine("x = {0}, y = {1}", x, y);
            }
        }

        class Child : Base
        {
            public override void Foo(int y, int x)
            {
                base.Foo(y, x);
            }
        }

        static void Main()
        {
            Child child = new Child();
            Base actuallyChild = child;
            child.Foo(5, 10);
            child.Foo(x: 5, y: 10);
            actuallyChild.Foo(x: 5, y: 10);
        }
    }
}
