﻿using System;
using System.Collections.Generic;

namespace CornerCases
{
    class LoopCaptureBroken
    {
        static void Main()
        {
            foreach (Action action in GetActions())
            {
                action();
            }
        }

        static List<Action> GetActions()
        {
            List<Action> actions = new List<Action>();
            for (int i = 0; i < 10; i++)
            {
                actions.Add(() => Console.WriteLine(i));
            }
            return actions;
        }
    }
}
